Subject: Re: linux-next: Fixes tag needs some work in the block tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 11 Oct 2019 11:42:44 +1100

Hi Bart,

On Thu, 10 Oct 2019 10:36:36 -0700 Bart Van Assche <[email-masked]> wrote:
>
> On 10/7/19 1:16 PM, Stephen Rothwell wrote:
> > 
> >    Fixes: e34cbd307477 ("blk-wbt: add general throttling mechanism"; v4.10).
> 
> The above fixes tag follows the recommended format except that it is 
> followed by a kernel version number. Is there a recommended format for 
> embedding the kernel version number in a Fixes: tag? I think that 
> information is useful. I haven't found any recommendations for how to do 
> that in Documentation/process/submitting-patches.rst.

I have not seen any recommended way to do that, but there is no
necessity to embed the version as it can easily be derived:

$ git describe --contains e34cbd307477
v4.10-rc1~153^2~94

-- 
Cheers,
Stephen Rothwell